Skip to main content
GET
/
variables
Get paginated variable configs
curl --request GET \
  --url https://{subdomain}.nudj.cx/api/v2/admin/variables \
  --header 'x-api-token: <api-key>'
import requests

url = "https://{subdomain}.nudj.cx/api/v2/admin/variables"

headers = {"x-api-token": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-token': '<api-key>'}};

fetch('https://{subdomain}.nudj.cx/api/v2/admin/variables', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "totalCount": 123,
  "edges": [
    {
      "id": "<string>",
      "organisationId": "<string>",
      "name": "<string>",
      "label": "<string>",
      "useDefaultProfileValue": true,
      "availableInQuestionBank": true,
      "maxValueOccurrences": 2,
      "isSingleOutputPerUser": true,
      "isImmutable": true,
      "createdAt": "<string>",
      "createdBy": "<string>",
      "placeholder": "<string>",
      "prerequisiteVariableConfigIds": [
        "<string>"
      ],
      "options": [
        {
          "key": "<string>",
          "value": "<string>"
        }
      ],
      "validationRegex": "<string>",
      "validationEndpointConfig": {
        "url": "<string>",
        "method": "<string>",
        "headers": {}
      },
      "updatedAt": "<string>",
      "updatedBy": "<string>"
    }
  ]
}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "NOT_FOUND",
  "message": "Not found",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}

Authorizations

x-api-token
string
header
required

Query Parameters

limit
integer
default:10
Required range: 1 <= x <= 100
skip
integer
default:0
Required range: x >= 0
forQuestionBank
boolean

Response

Successful response

totalCount
number
required
edges
Variable Config · object[]
required